/*
 * CityU Template 2019 Sub-theme JS
 *
 * Drupal 8 JavaScript API overview:
 * https://www.drupal.org/docs/8/api/javascript-api/javascript-api-overview
 *
 * jQuery Once package:
 * https://www.npmjs.com/package/jquery-once
*/

var Drupal = Drupal || {};

const fs = require('fs');
import DottedMap from 'dotted-map';

(function($, Drupal, Bootstrap) {
	"use strict";

	Drupal.behaviors.dottedMap = {
		attach: function (context, settings) {
			dottedMap();
        }
    };

    function dottedMap () {
        console.log('test');
        const map = new DottedMap({ height: 60, grid: 'diagonal', countries: ['FRA'] });

        map.addPin({
        lat: 40.73061,
        lng: -73.935242,
        svgOptions: { color: '#d6ff79', radius: 0.4 },
        });
        map.addPin({
        lat: 48.8534,
        lng: 2.3488,
        svgOptions: { color: '#fffcf2', radius: 0.4 },
        });
        
        const svgMap = map.getSVG({
        radius: 0.22,
        color: '#423B38',
        shape: 'circle',
        backgroundColor: '#020300',
        });
        
        fs.writeFileSync('./map.svg', svgMap);
    }

})(jQuery, Drupal, Drupal.bootstrap);
